> ## Documentation Index
> Fetch the complete documentation index at: https://otoyinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Reconcile Credit Purchase



## OpenAPI

````yaml https://api.dispersed.com/openapi.json get /v1/compute/ledger/credit-purchases/reconcile
openapi: 3.1.0
info:
  title: Dispersed API
  version: 1.0.0
servers:
  - url: https://api.dispersed.com
security: []
paths:
  /v1/compute/ledger/credit-purchases/reconcile:
    get:
      tags:
        - Compute Ledger
      summary: Reconcile Credit Purchase
      parameters:
        - schema:
            type: string
            description: Stripe Checkout session ID to reconcile
            example: cs_test_abc123
          required: true
          description: Stripe Checkout session ID to reconcile
          name: checkout_session_id
          in: query
      responses:
        '200':
          description: Current state of the credit purchase (reconciled if PENDING)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ComputeLedgerCreditPurchaseResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ComputeLedgerCreditPurchaseResponse:
      type: object
      properties:
        uuid:
          type:
            - string
            - 'null'
        amount:
          type:
            - number
            - 'null'
        currency:
          type: string
        consumer_profile_uuid:
          type:
            - string
            - 'null'
        consumer_account_uuid:
          type:
            - string
            - 'null'
        render_user_id:
          type:
            - string
            - 'null'
        checkout_session_id:
          type: string
        status:
          type: string
          enum:
            - COMPLETED
            - EXPIRED
            - PENDING
        memo:
          type:
            - string
            - 'null'
        completed_at:
          type:
            - string
            - 'null'
          format: date-time
        object:
          type: string
          enum:
            - compute_ledger_credit_purchase
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - amount
        - currency
        - checkout_session_id
        - status
        - object
        - created_at
        - updated_at
    ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/Error'
      required:
        - error
    Error:
      type: object
      properties:
        code:
          type: string
        details:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
              expected:
                type: string
              input:
                type: string
              keys:
                type: array
                items:
                  type: string
              message:
                type: string
              path:
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: number
            required:
              - message
              - path
          default: []
        message:
          type: string
        status:
          type: number
        timestamp:
          type: string
      required:
        - code
        - message
        - status
        - timestamp

````